@import url('https://fonts.googleapis.com/css2?family=Bodoni+Moda:ital,opsz,wght@0,6..96,400..900;1,6..96,400..900&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Playfair Display", serif;
}

body {
  background: linear-gradient(#FFFFFF, #FFFFFF, #FFFFFF, #FFFFFF, #FFFFFF, #F6B2B9);
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 60px;
  height: 60px;
  background-color: white;
  color: #E65463;
  position: relative;
}

header .left,
header .center,
header .right {
  display: flex;
  align-items: center;
}

header .right {
  gap: 30px;
  list-style: none;
  padding: 0;
  margin: 0;
}

header .right li {
  list-style: none;
}

header .right a {
  text-decoration: none;
  color: #E65463;
  font-weight: regular;
  transition: color 0.3s;
}

header .right a:hover {
  color: #C24452;
}

header .right span {
  margin: 0 5px;
}

.pink-line {
  width: 100%;
  height: 4px;
  background-color: pink;
  position: absolute;
  bottom: 0;
  left: 0;
}

main img {
  width: 100%;
  display: flex;
}

::-webkit-scrollbar {
  width: 12px;
}

::-webkit-scrollbar-track {
  background: #f2f2f2;
  border-radius: 15px;
}

::-webkit-scrollbar-thumb {
  background-color: #f5cbd2;
  border-radius: 10px;
  border: 2px solid #f2f2f2;
}


.align-inf {
  display: flex;
  justify-content: center;
  align-items: center;
}

.text-inf {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.text-inf h1 {
  color: #F47B87;
  font-size: 50px;
  margin-top: 30px;
  font-style: italic;
  font-weight: bold;
}

.text-inf h2 {
  color: #E65463;
  font-size: 108px;
  line-height: 100px;
}

.text-cria {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-left: 90px;
}

.text-cria h1 {
  margin-top: 15px;
  color: #E65463;
  font-size: 26px;
  font-style: italic;
  font-weight: bold;
}

.text-cria p {
  margin-top: 15px;
  max-width: 400px;
  text-align: justify;
  color: #E65463;
  line-height: 30px;
  font-size: 20px;
  font-family: "Inter", serif;
  margin-bottom: 50px;
}

.juventude {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.juventude h1 {
  margin-top: 15px;
  color: #E65463;
  font-size: 35px;
}

.juventude p {
  margin-top: 15px;
  max-width: 240px;
  text-align: justify;
  color: #E65463;
  font-size: 20px;
  line-height: 30px;
  font-family: "Inter", serif;
}

.align-jov {
  margin-top: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.comp {
  margin-left: 30px;
}



.faixa-cards {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  height: 1450px;
}

.conteudo {
  padding-top: 50px;
  height: 65vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
}

.flip-card {
  width: 280px;
  height: 390px;
  perspective: 1000px;
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.flip-card-front,
.flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
}

.flip-card-front img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.flip-card-back {
  background-color: #EDEDED;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  transform: rotateY(180deg);
}

.flip-card-back h2 {
  color: #E65463;
  font-size: 30px;
  font-style: italic;
  font-weight: bold;
}

.flip-card-back h1 {
  max-width: 250px;
  color: #E65463;
  font-size: 20px;
  font-style: italic;
  font-weight: bold;
  text-align: center;
  margin-top: 5px;
}

.flip-card-back p {
  max-width: 200px;
  margin-top: 10px;
  color: #E65463;
  font-size: 14px;
  font-family: "Inter", serif;
  font-weight: 400;
  text-align: justify;
}

.flip-horizontal-left:hover .flip-card-inner {
  transform: rotateY(-180deg);
}

footer {
  width: 100%;
  height: 500px;
  display: flex;
  justify-content: center;
  align-items: center;
}




.align-pt2 {
  display: flex;
  justify-content: center;
  align-items: center;
}

.align-pt2 img{
  margin-top: 50px;
  margin-right: 20px;
}

.facul {
  margin-left: 40px;
  margin-top: -320px;
}

.facul h1 {
  margin-top: 15px;
  color: #E65463;
  font-size: 40px;
  font-style: italic;
  font-weight: bold;
  text-align: center;
}

.facul p {
  margin-top: 15px;
  max-width: 400px;
  text-align: justify;
  color: #E65463;
  line-height: 30px;
  font-size: 20px;
  font-family: "Inter", serif;
  margin-bottom: 50px;
}

.teatro {
  width: 600px;
  height: 380px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-color: white;
  position: absolute;
  margin-top: 480px;
  margin-right: 50px;
}

.teatro h1 {
  margin-top: 45px;
  color: #E65463;
  font-size: 40px;
  font-style: italic;
  font-weight: bold;
  text-align: center;
}

.teatro p {
  margin-top: 15px;
  max-width: 450px;
  text-align: justify;
  color: #E65463;
  line-height: 30px;
  font-size: 20px;
  font-family: "Inter", serif;
  margin-bottom: 50px;
}

.text-pt2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.align-texts {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  height: 850px;
  margin-top: 50px;
}

.text1,
.text2,
.text3 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 50px;
}

.text1 h1,
.text2 h1,
.text3 h1  {
  max-width: 300px;
}

.text1 img,
.text2 img,
.text3 img {
  width: 300px;
  height: 210px;
}

.text2 img {
  margin-top: -160px;
}

.text3 img {
  margin-top: -95px;
}

.text1 h1,
.text2 h1,
.text3 h1 {
  margin-top: 45px;
  color: #E65463;
  font-size: 26px;
  font-style: italic;
  font-weight: bold;
  text-align: center;
  text-align: justify;
}

.text1 p,
.text2 p,
.text3 p {
  margin-top: 15px;
  max-width: 330px;
  text-align: justify;
  color: #E65463;
  line-height: 30px;
  font-size: 20px;
  font-family: "Inter", serif;
  margin-bottom: 50px;
}

.carousel-container {
  position: relative;
  width: 100%;
  margin-top: 30px;
  overflow: hidden;
}

.carousel-track {
  display: flex;
  animation: scroll 10s linear infinite;
  white-space: nowrap;
  align-items: center;
  height: 100%;
}

.carousel-item {
  font-size: 2rem;
  font-weight: bold;
  color: #E65463;
  padding: 10px 20px;
  white-space: nowrap;
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}